Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class CustomSQL

    java.lang.Object
      org.hibernate.metamodel.binding.CustomSQL

    public class CustomSQL

extends Object

Wraps the information for custom SQL execution

Constructor Summary
`CustomSQL(String sql, boolean callable, ExecuteUpdateResultCheckStyle checkStyle)`

Method Summary
`ExecuteUpdateResultCheckStyle` | `getCheckStyle()`
`String` | `getSql()`
`boolean` | `isCallable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomSQL

    public CustomSQL(String sql,
                     boolean callable,
                     ExecuteUpdateResultCheckStyle checkStyle)

Method Detail

### getSql

    public String getSql()

### isCallable

    public boolean isCallable()

### getCheckStyle

    public ExecuteUpdateResultCheckStyle getCheckStyle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.